net.sf.saxon.trace

## Class ContextStackFrame.VariableEvaluation

- java.lang.Object
- - net.sf.saxon.trace.ContextStackFrame
  - - net.sf.saxon.trace.ContextStackFrame.VariableEvaluation

- Enclosing class:
    ContextStackFrame

      public static class ContextStackFrame.VariableEvaluation
      extends ContextStackFrame

  Subclass of ContextStackFrame representing the evaluation of a variable (typically a global variable)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame

      `ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextStackFrame.VariableEvaluation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StructuredQName` | `getVariableName()` Get the name of the variable
    `void` | `print(PrintStream out)` Display a representation of the stack frame on the specified output stream
    `void` | `setVariableName(StructuredQName variableName)` Set the name of the variable

    - ### Methods inherited from class net.sf.saxon.trace.ContextStackFrame

      `getContainer, getContextItem, getLineNumber, getSystemId, setContainer, setContextItem, setLineNumber, setSystemId, showLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextStackFrame.VariableEvaluation

          public ContextStackFrame.VariableEvaluation()

  - ### Method Detail

    - #### getVariableName

          public StructuredQName getVariableName()

      Get the name of the variable
      Returns:
        the name of the variable

    - #### setVariableName

          public void setVariableName(StructuredQName variableName)

      Set the name of the variable
      Parameters:
        `variableName` - the name of the variable

    - #### print

          public void print(PrintStream out)

      Display a representation of the stack frame on the specified output stream
      Specified by:
        `print` in class `ContextStackFrame`
      Parameters:
        `out` - the output stream

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.